// Copyright MongoDB, Inc or its affiliates. All Rights Reserved.
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


package org.opengroup.osdu.legal.util.mongo;

import org.opengroup.osdu.core.aws.mongodb.MongoDBSimpleFactory;
import org.opengroup.osdu.core.aws.mongodb.helper.BasicMongoDBHelper;
import org.springframework.data.mongodb.MongoDatabaseFactory;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.SimpleMongoClientDatabaseFactory;

public class MongoDbSimpleTestFactory extends MongoDBSimpleFactory {

    public BasicMongoDBHelper getHelper(String url, String dbName) {
        MongoDatabaseFactory mongoFactory = new SimpleMongoClientDatabaseFactory(this.mongoClient(url), dbName);
        MongoTemplate mongoTemplate = super.mongoTemplate(mongoFactory);
        return new BasicMongoDBHelper(mongoTemplate);
    }
}
